---
updatedAt: 2025-09-24T00:04:58.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Create a user

Create a new user object.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/users": {
      "post": {
        "summary": "Create a user",
        "description": "Create a new user object.",
        "operationId": "create-a-user",
        "parameters": [
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "external_user_id": {
                    "type": "string",
                    "description": "Your own user ID (format: [a-zA-Z0-9\\-_]{1,128})"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Created": {
                    "value": "{\n  \"uuid\": \"79c8961c-bdf7-11e5-88a3-4f2c2aec0665\"\n}"
                  },
                  "With an external user id": {
                    "value": "{\n  \"uuid\": \"79c8961c-bdf7-11e5-88a3-4f2c2aec0665\",\n  \"external_user_id\": \"A6JEJIID1919BDS\"\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Created",
                      "type": "object",
                      "properties": {
                        "uuid": {
                          "type": "string",
                          "example": "79c8961c-bdf7-11e5-88a3-4f2c2aec0665"
                        }
                      }
                    },
                    {
                      "title": "With an external user id",
                      "type": "object",
                      "properties": {
                        "uuid": {
                          "type": "string",
                          "example": "79c8961c-bdf7-11e5-88a3-4f2c2aec0665"
                        },
                        "external_user_id": {
                          "type": "string",
                          "example": "A6JEJIID1919BDS"
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/users' \\\n\t-X POST \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n  -H 'Content-Type: application/json' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET'",
              "name": "Create a user"
            },
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/users' \\\n\t-X POST \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n  -H 'Content-Type: application/json' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n  -d $'{\n  \"external_user_id\": \"A6JEJIID1919BDS\"\n}'",
              "name": "Create a user with an external user id"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```